No Stairway, denied! Can't push gem

Todd Hooper's Avatar

Todd Hooper

12 Dec, 2013 05:56 AM

I had no problem pushing v 0.1.14 a few hours ago. When I try to push my latest version, it's giving me a Server Error.

➜ prerender_rails git:(master) gem push prerender_rails-0.1.15.gem
Pushing gem to https://rubygems.org...
<!DOCTYPE html>

<!--[if IE 7]> <![endif]--> server error | RubyGems.org

  <div class="grid_6 suffix_1 nav">
    <div id="nav-cap">
      <div id="nav">
          <ul id="signed_out">
            <li id="all-gems"><a href="/gems">all gems</a></li>
            <li id="sign-in"><a href="/sign_in">sign in</a></li>
            <li id="sign-up"><a href="/sign_up">sign up</a></li>
          </ul>
      </div>
    </div>
    <form action="/search" id="main-search" method="get">
      <input id="query" name="query" type="text" placeholder="Search gems&hellip;" />
      <input id="search_submit" type="submit" value="Search" />
    </form>
  </div>
  <div class="prefix_1 grid_10 suffix_1 main">
    <div class="info">
      <div class="title">
        <h2>Server error.</h2>
        <h3>No Stairway, denied!</h3>
      </div>
      <p>Looks like something blew up on our end. We've been alerted of the problem, but feel free to open up an <a href="http://help.rubygems.org">issue</a> if you want it fixed faster.</p>
    </div>
  </div>
</div>
<script src="/javascripts/jquery.js" type="text/javascript"></script>
<script src="/javascripts/jquery.easing.1.3.js" type="text/javascript"></script>
<script src="/javascripts/application.js" type="text/javascript"></script>

And here's my gem spec

➜ prerender_rails git:(master) gem spec prerender_rails-0.1.15.gem
--- !ruby/object:Gem::Specification name: prerender_rails
version: !ruby/object:Gem::Version
version: 0.1.15 platform: ruby
authors:
- Todd Hooper autorequire:
bindir: bin
cert_chain: []
date: 2013-12-12 00:00:00.000000000 Z
dependencies:
- !ruby/object:Gem::Dependency name: rack requirement: !ruby/object:Gem::Requirement requirements: - - '>=' - !ruby/object:Gem::Version version: '0' type: :runtime prerelease: false version_requirements: !ruby/object:Gem::Requirement requirements: - - '>=' - !ruby/object:Gem::Version version: '0' - !ruby/object:Gem::Dependency name: bundler requirement: !ruby/object:Gem::Requirement requirements: - - ~> - !ruby/object:Gem::Version version: '1.3' type: :development prerelease: false version_requirements: !ruby/object:Gem::Requirement requirements: - - ~> - !ruby/object:Gem::Version version: '1.3' - !ruby/object:Gem::Dependency name: rake requirement: !ruby/object:Gem::Requirement requirements: - - '>=' - !ruby/object:Gem::Version version: '0' type: :development prerelease: false version_requirements: !ruby/object:Gem::Requirement requirements: - - '>=' - !ruby/object:Gem::Version version: '0' - !ruby/object:Gem::Dependency name: webmock requirement: !ruby/object:Gem::Requirement requirements: - - '>=' - !ruby/object:Gem::Version version: '0' type: :development prerelease: false version_requirements: !ruby/object:Gem::Requirement requirements: - - '>=' - !ruby/object:Gem::Version version: '0' description: Rails middleware to prerender your javascript heavy pages on the fly
by a phantomjs service email:
- [email blocked] executables: []
extensions: []
extra_rdoc_files: []
files:
- .gitignore - .travis.yml - Gemfile - LICENSE.txt - README.md - Rakefile - lib/prerender_rails.rb - prerender_rails.gemspec - test/lib/prerender_rails.rb - test/test_helper.rb homepage: https://github.com/collectiveip/prerender_rails
licenses:
- MIT metadata: {}
post_install_message:
rdoc_options: []
require_paths:
- lib required_ruby_version: !ruby/object:Gem::Requirement
requirements: - - '>=' - !ruby/object:Gem::Version version: '0' required_rubygems_version: !ruby/object:Gem::Requirement
requirements: - - '>=' - !ruby/object:Gem::Version version: '0' requirements: []
rubyforge_project:
rubygems_version: 2.1.5
signing_key:
specification_version: 4
summary: Prerender your backbone/angular/javascript rendered application on the fly
when search engines crawl test_files:
- test/lib/prerender_rails.rb - test/test_helper.rb

  1. 2 Posted by Todd Hooper on 12 Dec, 2013 05:57 AM

    Todd Hooper's Avatar

    Also, gem -v gives me 2.1.5

  2. 3 Posted by Max on 12 Dec, 2013 06:12 AM

    Max's Avatar

    Same for me.

  3. 4 Posted by Adrian on 12 Dec, 2013 07:18 AM

    Adrian's Avatar

    Mee too. Haven't really changed anything besides version and date in the gemspec.

  4. 5 Posted by Todd Hooper on 12 Dec, 2013 02:47 PM

    Todd Hooper's Avatar

    I tried pushing again this morning and it worked. Anyone else able to push it after trying again?

  5. 6 Posted by Rob on 12 Dec, 2013 06:12 PM

    Rob's Avatar

    I had the same problem, and mine is also working now.

  6. 7 Posted by Adrian on 12 Dec, 2013 06:14 PM

    Adrian's Avatar

    Mine also started working this morning

  7. Support Staff 8 Posted by David Radcliffe on 21 Dec, 2013 01:13 AM

    David Radcliffe's Avatar

    This was likely a temporary server issue. Sorry for the trouble!

  8. David Radcliffe closed this discussion on 21 Dec, 2013 01:13 AM.

Comments are currently closed for this discussion. You can start a new one.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac